User Endpoints
-
GET
/users/user-id Get basic information about a user. -
GET
/users/self/feedSee the authenticated user's feed. -
GET
/users/user-id/media/recentGet the most recent media published by a user. -
GET
/users/self/media/likedSee the authenticated user's list of liked media. -
GET
/users/searchSearch for a user by name.
GET
/users/user-id
https://api.instagram.com/v1/users/1574083/?access_token=ACCESS-TOKEN
{
"data": {
"id": "1574083",
"username": "snoopdogg",
"full_name": "Snoop Dogg",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_1574083_75sq_1295469061.jpg",
"bio": "This is my bio",
"website": "http://snoopdogg.com",
"counts": {
"media": 1320,
"follows": 420,
"followed_by": 3410
}
}
Get basic information about a user.
GET
/users/self/feed
https://api.instagram.com/v1/users/self/feed?access_token=ACCESS-TOKEN
{
"data": [{
"location": {
"id": "833",
"latitude": 37.77956816727314,
"longitude": -122.41387367248539,
"name": "Civic Center BART"
},
"comments": {
"count": 16,
"data": [ ... ]
},
"caption": null,
"link": "http://instagr.am/p/BXsFz/",
"likes": {
"count": 190,
"data": [{
"username": "shayne",
"full_name": "Shayne Sweeney",
"id": "20",
"profile_picture": "..."
}, {...subset of likers...}]
},
"created_time": "1296748524",
"images": {
"low_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_6.jpg",
"width": 306,
"height": 306
},
"thumbnail": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_5.jpg",
"width": 150,
"height": 150
},
"standard_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_7.jpg",
"width": 612,
"height": 612
}
},
"type": "image",
"users_in_photo": [],
"filter": "Earlybird",
"tags": [],
"id": "22987123",
"user": {
"username": "kevin",
"full_name": "Kevin S",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_3_75sq_1295574122.jpg",
"id": "3"
}
},
...]
}
See the authenticated user's feed.
| access_token | A valid access token. |
|---|---|
| count | Count of media to return. |
| min_id | Return media later than this min_id. |
| max_id | Return media earlier than this max_id.s |
GET
/users/user-id/media/recent
https://api.instagram.com/v1/users/3/media/recent/?access_token=ACCESS-TOKEN
{
"data": [{
"comments": {
"data": [],
"count": 0
},
"caption": {
"created_time": "1296710352",
"text": "Inside le truc #foodtruck",
"from": {
"username": "kevin",
"full_name": "Kevin Systrom",
"type": "user",
"id": "3"
},
"id": "26621408"
},
"likes": {
"count": 15,
"data": [{
"username": "mikeyk",
"full_name": "Mike Krieger",
"id": "4",
"profile_picture": "..."
}, {...subset of likers...}]
},
"link": "http://instagr.am/p/BWrVZ/",
"user": {
"username": "kevin",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_3_75sq_1295574122.jpg",
"id": "3"
},
"created_time": "1296710327",
"images": {
"low_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/02/6ea7baea55774c5e81e7e3e1f6e791a7_6.jpg",
"width": 306,
"height": 306
},
"thumbnail": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/02/6ea7baea55774c5e81e7e3e1f6e791a7_5.jpg",
"width": 150,
"height": 150
},
"standard_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/02/6ea7baea55774c5e81e7e3e1f6e791a7_7.jpg",
"width": 612,
"height": 612
}
},
"type": "image",
"users_in_photo": [],
"filter": "Earlybird",
"tags": ["foodtruck"],
"id": "22721881",
"location": {
"latitude": 37.778720183610183,
"longitude": -122.3962783813477,
"id": "520640",
"street_address": "",
"name": "Le Truc"
}
}]
}
Get the most recent media published by a user.
| count | Count of media to return. |
|---|---|
| max_timestamp | Return media before this UNIX timestamp. |
| access_token | A valid access token. |
| min_timestamp | Return media after this UNIX timestamp. |
| min_id | Return media later than this min_id. |
| max_id | Return media earlier than this max_id. |
GET
/users/self/media/liked
https://api.instagram.com/v1/users/self/media/liked?access_token=ACCESS-TOKEN
{
"data": [{
"location": {
"id": "833",
"latitude": 37.77956816727314,
"longitude": -122.41387367248539,
"name": "Civic Center BART"
},
"comments": {
"count": 16,
"data": [ ... ]
},
"caption": null,
"link": "http://instagr.am/p/BXsFz/",
"likes": {
"count": 190,
"data": [{
"username": "shayne",
"full_name": "Shayne Sweeney",
"id": "20",
"profile_picture": "..."
}, {...subset of likers...}]
},
"created_time": "1296748524",
"images": {
"low_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_6.jpg",
"width": 306,
"height": 306
},
"thumbnail": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_5.jpg",
"width": 150,
"height": 150
},
"standard_resolution": {
"url": "http://distillery.s3.amazonaws.com/media/2011/02/03/efc502667a554329b52d9a6bab35b24a_7.jpg",
"width": 612,
"height": 612
}
},
"type": "image",
"users_in_photo": [],
"filter": "Earlybird",
"tags": [],
"id": "22987123",
"user": {
"username": "kevin",
"full_name": "Kevin S",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_3_75sq_1295574122.jpg",
"id": "3"
}
},
...]
}
See the authenticated user's list of media they've liked. Note that this list is ordered by the order in which the user liked the media. Private media is returned as long as the authenticated user has permission to view that media. Liked media lists are only available for the currently authenticated user.
| access_token | A valid access token. |
|---|---|
| count | Count of media to return. |
| max_like_id | Return media liked before this id. |
GET
/users/search
https://api.instagram.com/v1/users/search?q=jack&access_token=ACCESS-TOKEN
{
"data": [{
"username": "jack",
"first_name": "Jack",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_66_75sq.jpg",
"id": "66",
"last_name": "Dorsey"
},
{
"username": "sammyjack",
"first_name": "Sammy",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_29648_75sq_1294520029.jpg",
"id": "29648",
"last_name": "Jack"
},
{
"username": "jacktiddy",
"first_name": "Jack",
"profile_picture": "http://distillery.s3.amazonaws.com/profiles/profile_13096_75sq_1286441317.jpg",
"id": "13096",
"last_name": "Tiddy"
}]
}
Search for a user by name.
| q | A query string. |
|---|---|
| count | Number of users to return. |